## EXISTS predicate

The EXISTS predicate (exists_predicate) checks whether a result table (see result table name) contains at least one row.

### Syntax

<exists_predicate> ::= EXISTS <subquery>

### Examples

SQL Tutorial, Subquery: Inner Queries

### Explanation

The truth content of an EXISTS predicate is either true or false.

The subquery generates a result table. If this result table contains at least one row, EXISTS <subquery> is true.